Page MenuHomePhabricator

Remove $wgExperimentalHtmlIds (deprecated in 1.30)
Closed, ResolvedPublic

Description

$wgExperimentalHtmlIds has been introduced in 1.16, but almost immediately turned off by default as there were several complaints on its behavior.

It probably does not make sense to keep it.

Event Timeline

Danny_B created this task.Jul 8 2016, 1:13 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 8 2016, 1:13 PM
Danny_B moved this task from Unsorted to Needs removal on the Technical-Debt board.Jul 8 2016, 2:05 PM
Krinkle updated the task description. (Show Details)Jul 16 2016, 1:23 AM

It was deprecated by @MaxSem in rMWfd6e9ef2d481: Human-readable section ID support. Thanks to the deprecation policy we can't actually remove it until 1.31 or later.

Possibly someone should add a wfDeprecated() into the bit in Setup.php.

Change 405391 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/core@master] Set default fragment mode to [ 'legacy', 'html5' ]

https://gerrit.wikimedia.org/r/405391

Change 405391 merged by jenkins-bot:
[mediawiki/core@master] Set default fragment mode to [ 'legacy', 'html5' ]

https://gerrit.wikimedia.org/r/405391

Krinkle renamed this task from Kill $wgExperimentalHtmlIds to Remove $wgExperimentalHtmlIds (deprecated in 1.30).Mar 22 2018, 1:34 AM
Krinkle triaged this task as Low priority.

Change 425582 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Remove $wgExperimentalHtmlIds and related code, deprecated in 1.30

https://gerrit.wikimedia.org/r/425582

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Not a blocker for 1.31 release, just a nice-to-have.

Change 425582 merged by jenkins-bot:
[mediawiki/core@master] Remove $wgExperimentalHtmlIds and related code, deprecated in 1.30

https://gerrit.wikimedia.org/r/425582

Jdforrester-WMF closed this task as Resolved.May 2 2018, 9:50 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF removed a project: Patch-For-Review.